#include <TinyGPS++.h>
#include <TM1637Display.h>

#define CLK 2
#define DIO 3



TM1637Display display(CLK, DIO);


char data;

double latitude;
double longitude;
double alt; 
int vitesse; // Vitesse en "entier" pour ne pas avoir de virgule
unsigned long nbre_sat;

TinyGPSPlus gps;


void setup() {

  Serial.begin(9600);
  display.setBrightness(0x0f);

// Effet de démarrage --
for (int i=101;i<=9999;i+=101){
  display.showNumberDec(i, true);
 // delay(5);
}
delay(100);
for (int i=9999;i>=0;i-=101){
  display.showNumberDec(i, true);

}
delay(100);
display.showNumberDec(8888, false); 
display.setBrightness(7, false);
delay(50);
display.showNumberDec(8888, false); 
display.setBrightness(7, true);
delay(50);
display.showNumberDec(8888, false); 
display.setBrightness(7, false);
delay(50);
display.showNumberDec(8888, false); 
display.setBrightness(7, true);
delay(50);
display.showNumberDec(8888, false); 
delay(2000);
// -- Effet de démarrage
// Tant que le gps n'a pas trouv
}



int i=0;
void loop() {

  while (Serial.available()) {
        //waiting();
    data = Serial.read();
    //  Serial.print(data);
    gps.encode(data);

    if (gps.location.isUpdated())
    {
      latitude = gps.location.lat();
      longitude = gps.location.lng();
      alt = gps.altitude.meters();
      vitesse = gps.speed.kmph();
      nbre_sat = gps.satellites.value();

      Serial.println("-------- FIX GPS ------------");
      Serial.print("LATITUDE="); Serial.println(latitude, 6);
      Serial.print("LONGITUDE="); Serial.println(longitude, 6);
      Serial.print("ALTITUDE (m) ="); Serial.println(alt);
      Serial.print("VITESSE (km/h)="); Serial.println(vitesse);
      Serial.print("NOMBRE SATTELLITES="); Serial.println(nbre_sat);
      display.showNumberDec(vitesse, false); 
    }
  }


}
